org.jbpm.process.audit

## Class NodeInstanceLog_

- java.lang.Object
- - org.jbpm.process.audit.NodeInstanceLog_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class NodeInstanceLog_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `connection`
    `static String` | `CONNECTION`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date>` | `date`
    `static String` | `DATE`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date>` | `end`
    `static String` | `END`
    `static String` | `EXTERNAL_ID`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `externalId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long>` | `id`
    `static String` | `ID`
    `static String` | `NODE_CONTAINER_ID`
    `static String` | `NODE_ID`
    `static String` | `NODE_INSTANCE_ID`
    `static String` | `NODE_NAME`
    `static String` | `NODE_TYPE`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeContainerId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeName`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `nodeType`
    `static String` | `PROCESS_ID`
    `static String` | `PROCESS_INSTANCE_ID`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long>` | `processInstanceId`
    `static String` | `REFERENCE_ID`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long>` | `referenceId`
    `static String` | `SLA_COMPLIANCE`
    `static String` | `SLA_DUE_DATE`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Integer>` | `slaCompliance`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date>` | `slaDueDate`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Integer>` | `type`
    `static String` | `TYPE`
    `static String` | `WORK_ITEM_ID`
    `static javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long>` | `workItemId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInstanceLog_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### date

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date> date

    - #### nodeName

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeName

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long> processInstanceId

    - #### nodeInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeInstanceId

    - #### externalId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> externalId

    - #### workItemId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long> workItemId

    - #### type

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Integer> type

    - #### nodeType

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeType

    - #### referenceId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long> referenceId

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> processId

    - #### slaDueDate

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date> slaDueDate

    - #### slaCompliance

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Integer> slaCompliance

    - #### connection

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> connection

    - #### nodeContainerId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeContainerId

    - #### end

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Date> end

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,Long> id

    - #### nodeId

          public static volatile javax.persistence.metamodel.SingularAttribute<NodeInstanceLog,String> nodeId

    - #### DATE

          public static final String DATE

      See Also:
        Constant Field Values

    - #### NODE_NAME

          public static final String NODE_NAME

      See Also:
        Constant Field Values

    - #### PROCESS_INSTANCE_ID

          public static final String PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### NODE_INSTANCE_ID

          public static final String NODE_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### EXTERNAL_ID

          public static final String EXTERNAL_ID

      See Also:
        Constant Field Values

    - #### WORK_ITEM_ID

          public static final String WORK_ITEM_ID

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### NODE_TYPE

          public static final String NODE_TYPE

      See Also:
        Constant Field Values

    - #### REFERENCE_ID

          public static final String REFERENCE_ID

      See Also:
        Constant Field Values

    - #### PROCESS_ID

          public static final String PROCESS_ID

      See Also:
        Constant Field Values

    - #### SLA_DUE_DATE

          public static final String SLA_DUE_DATE

      See Also:
        Constant Field Values

    - #### SLA_COMPLIANCE

          public static final String SLA_COMPLIANCE

      See Also:
        Constant Field Values

    - #### CONNECTION

          public static final String CONNECTION

      See Also:
        Constant Field Values

    - #### NODE_CONTAINER_ID

          public static final String NODE_CONTAINER_ID

      See Also:
        Constant Field Values

    - #### END

          public static final String END

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### NODE_ID

          public static final String NODE_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NodeInstanceLog_

          public NodeInstanceLog_()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.